IXP_SERVERLOOP(3)

NAME

ixp_serverloop, IxpServer

SYNOPSIS
  #include <ixp.h>

  int ixp_serverloop(IxpServer *srv);

  typedef struct IxpServer IxpServer;
  struct IxpServer {
          IxpConn*        conn;
          IxpMutex        lk;
          IxpTimer*       timer;
          void            (*preselect)(IxpServer*);
          void*           aux;
          int             running;
          int             maxfd;
          fd_set          rd;
  }

DESCRIPTION

Enters the main loop of the server. Exits when IsrvR->running becomes false, or when select(2) returns an error other than EINTR.

RETURN VALUE

Returns 0 when the loop exits normally, and 1 when it exits on error. errno(3) or the return value of ixp_errbuf(3) may be inspected.

SEE ALSO

ixp_listen(3), ixp_settimer(3)